summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2004-03-03 01:25:46 +0000
committerLennart Poettering <lennart@poettering.net>2004-03-03 01:25:46 +0000
commit285f7ad7d0aed48cd5cb13a2437e80d26fffc254 (patch)
tree09dddce764a851f970cdaffd40abee0f6bd84dc0 /bootstrap.sh
parent6f8db736a197520f88aab498eead8599641b10fe (diff)
commit initial release
git-svn-id: file:///home/lennart/svn/public/pgets/trunk@3 768266df-afd4-0310-94a7-d396c829e022
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..9cc81f4
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+# $Id$
+
+# This file is part of pgets.
+#
+# pgets is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# pgets is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with pgets; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+run_versioned() {
+ local P
+ type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
+
+ shift 2
+ "$P" "$@"
+}
+
+if [ "x$1" = "xam" ] ; then
+ set -ex
+ run_versioned automake 1.7 -a -c
+ ./config.status
+else
+ set -ex
+ rm -rf autom4te.cache
+ rm -f config.cache
+
+ run_versioned aclocal 1.7
+ autoheader
+ run_versioned automake 1.7 -a -c
+ autoconf -Wall
+
+ ./configure --sysconfdir=/etc "$@"
+
+ make clean
+fi